Package org.h2.engine

# Enum Class Mode.ExpressionNames

java.lang.Object
java.lang.Enum<Mode.ExpressionNames>
org.h2.engine.Mode.ExpressionNames

All Implemented Interfaces:
  `Serializable`, `Comparable<Mode.ExpressionNames>`, `Constable`

Enclosing class:
  `Mode`

public static enum Mode.ExpressionNames extends Enum<Mode.ExpressionNames>
Generation of column names for expressions.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`C_NUMBER`
Use ordinal number of a column with C prefix.
`EMPTY`
Generate empty name.
`NUMBER`
Use ordinal number of a column.
`OPTIMIZED_SQL`
Use optimized SQL representation of expression.
`ORIGINAL_SQL`
Use original SQL representation of expression.
`POSTGRESQL_STYLE`
Use function name for functions and ?column? for other expressions

## Method Summary

Modifier and Type
Method
Description
`static Mode.ExpressionNames`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Mode.ExpressionNames[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPTIMIZED_SQL

public static final Mode.ExpressionNames OPTIMIZED_SQL
Use optimized SQL representation of expression.

### ORIGINAL_SQL

public static final Mode.ExpressionNames ORIGINAL_SQL
Use original SQL representation of expression.

### EMPTY

public static final Mode.ExpressionNames EMPTY
Generate empty name.

### NUMBER

public static final Mode.ExpressionNames NUMBER
Use ordinal number of a column.

### C_NUMBER

public static final Mode.ExpressionNames C_NUMBER
Use ordinal number of a column with C prefix.

### POSTGRESQL_STYLE

public static final Mode.ExpressionNames POSTGRESQL_STYLE
Use function name for functions and ?column? for other expressions

## Method Details

### values

public static Mode.ExpressionNames[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Mode.ExpressionNames valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null